List all protocols
curl --request GET \
--url https://api.messari.io/metrics/v2/protocols \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/protocols"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/protocols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"data": [
{
"id": "1eaf063a-b8dd-4cfb-95dd-a06338565720",
"name": "Tether",
"slug": "tether",
"activity": {
"tvl24HourUsd": 188644665207.35986,
"activeAddresses24Hour": 1122231,
"fees24HourUsd": 14618429.653360274
}
},
{
"id": "9e46405d-d9e8-4dd3-8dc6-0cd2d81ffedc",
"name": "Circle",
"slug": "circle-usdc",
"activity": {
"tvl24HourUsd": 75834977011.21634,
"activeAddresses24Hour": 207052,
"fees24HourUsd": 5970865.623038587
}
},
{
"id": "675b85dc-85a1-4096-9600-212e90a56e9a",
"name": "Aave",
"slug": "aave",
"activity": {
"tvl24HourUsd": 29943935339.394585,
"activeAddresses24Hour": 6385,
"fees24HourUsd": 2364765.883961379
}
},
{
"id": "3ee3418e-ab75-475c-b153-aeba3752478e",
"name": "Lido DAO",
"slug": "lido-dao",
"activity": {
"tvl24HourUsd": 23568580401.07076,
"activeAddresses24Hour": 1083,
"fees24HourUsd": 1970337.5536137987
}
},
{
"id": "e4fd40c6-4e95-4fbe-8d6b-e6e401793a8d",
"name": "Morpho",
"slug": "morpho-2",
"activity": {
"tvl24HourUsd": 14131509867.358997,
"activeAddresses24Hour": 932,
"fees24HourUsd": 793248.111185432
}
}
],
"metadata": {
"pageSize": 10,
"page": 1,
"totalRows": 214,
"totalPages": 22
}
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Core Protocols
List All Protocols
Returns a complete list of all available protocols supported by Messari, along with core metrics. Protocols aggregate deployments across multiple blockchain networks (e.g., Aave includes V3, V2, and V1 versions).
GET
/
metrics
/
v2
/
protocols
List all protocols
Authorizations
Query Parameters
Page number (1-indexed)
Example:
1
Number of results per page
Example:
10
Column to sort by (default: tvl_usd)
Available options:
tvl_usd, active_addresses, fees_usd, fees_supply_side_usd, expenses_usd, dex_volume_usd, borrowed_usd, treasury_usd Sort direction: asc or desc (default: desc)
Available options:
asc, desc 
